Update a CMDB table
Replaces a ServiceNow CMDB table configuration. This is a full replacement — all fields, including ci_table_name and the complete field_mappings list, must be provided. A table can only be updated while its synchronization is disabled and before its initial backfill has started.
Early Access
This API is in Early Access and may change at any time. Contact your PagerDuty account team to request access.
Scoped OAuth requires: contextual_data.write
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
Base32-encoded UUID v7 (26 uppercase alphanumeric characters) identifying the ServiceNow enrichment integration.
Base32-encoded UUID v7 (26 uppercase alphanumeric characters) identifying the CMDB table configuration.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Request Body
application/json
The replacement CMDB table configuration. This is a full replacement — all fields, including ci_table_name and the complete field_mappings list, must be provided. A table can only be updated while its sync is disabled and before its initial backfill has started.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
Update ServiceNow credentials PUT
Updates the ServiceNow credentials. Supports partial updates — only the fields provided in the request are changed. If a password is provided, it replaces the stored password. The password is never returned. <!-- theme: warning --> > ### Early Access > This API is in Early Access and may change at any time. Contact your PagerDuty account team to request access. Scoped OAuth requires: `contextual_data.write`
Enrichment schemas
Next Page